<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:clipToPadding="true"
    android:fitsSystemWindows="true"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/app_nav_toolbar_height"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageButton
            android:id="@+id/ibtn_act_serach"
            android:layout_width="@dimen/app_nav_toolbar_height"
            android:layout_height="@dimen/app_nav_toolbar_height"
            android:background="@null"
            android:scaleType="centerInside"
            android:src="@drawable/ic_arrow_back_24dp" />

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center_vertical">

            <AutoCompleteTextView
                android:id="@+id/edt_act_search_keyword"
                style="@style/B1"
                android:layout_width="match_parent"
                android:layout_height="@dimen/app_nav_height_tiny"
                android:layout_centerVertical="true"
                android:layout_weight="1"
                android:background="@drawable/sp_search_edt_white"
                android:completionThreshold="1"
                android:hint="@string/search_hint"
                android:maxLines="1"
                android:paddingLeft="15dip"
                android:singleLine="true"
                android:textColorHint="#c7c7c7" />

            <ImageView
                android:id="@+id/img_act_search_clear"
                android:layout_width="@dimen/app_nav_toolbar_height"
                android:layout_height="@dimen/app_nav_toolbar_height"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:scaleType="centerInside"
                android:src="@drawable/search_delete"
                android:visibility="gone" />

        </RelativeLayout>

        <Button
            android:id="@+id/btn_act_search_search"
            android:layout_width="@dimen/app_nav_toolbar_height"
            android:layout_height="@dimen/app_nav_toolbar_height"
            android:background="@color/transparent"
            android:text="@string/action_search"
            android:textColor="@color/B" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_activity_search_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:visibility="gone">

        <android.support.design.widget.TabLayout
            android:id="@+id/tabs_act_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            app:tabGravity="fill"
            app:tabIndicatorColor="?attr/main_color"
            app:tabIndicatorHeight="3dp"
            app:tabMode="fixed"
            app:tabSelectedTextColor="?attr/main_color"
            app:tabTextColor="@android:color/black">

        </android.support.design.widget.TabLayout>

        <android.support.v4.view.ViewPager
            android:id="@+id/viewpager_act_search"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_activity_search_record"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5.0dip"
            android:drawableLeft="?line_short"
            android:drawablePadding="6dp"
            android:paddingLeft="5dip"
            android:text="@string/search_hot_keys" />


        <com.kfzs.android.view.tag.TagFlowLayout
            android:id="@+id/search_tagflow_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5.0dip"
            app:max_select="1" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5.0dip"
            android:drawableLeft="?line_short"
            android:drawablePadding="6dp"
            android:paddingLeft="5dip"
            android:text="@string/search_records" />

        <ListView
            android:id="@+id/search_history_listview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="5.0dip"
            android:layout_marginRight="5.0dip"
            android:footerDividersEnabled="false" />
    </LinearLayout>

</LinearLayout>
